<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_aa7e860da1acd4e767e0df9d" . "7d407380" => base64_decode("ZGF0ZV9jc" . "mVhdGVk"), "keyw" . "ords" => base64_decode("a2V5" . "d29y" . "ZHM="), "_c261da155a5b4c08fbbfc94" . "c9c7a9d5f" => base64_decode("ZW1wdHlfc2Vhcm" . "No"), "i" . "d" => base64_decode("aW" . "Q="), "user" . "_id" => base64_decode("dXNlcl9pZ" . "A=="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c261da155a" . "5b4c08fbbfc" . "94c9c7a9d5f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["use" . "r_i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_aa7e860da1acd4e767" . "e0df9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["key" . "wor" . "ds"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["user" . "_id"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_aa7e860da1acd4e767e0df9d7" . "d407380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["key" . "wor" . "ds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_aa7e860da1acd4e767e0df9d7d4" . "07380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["ke" . "yw" . "or" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}